package cn.datax.learning.design.patterns.behavioral.template;

/**
 * 模板模式（Template Pattern）
 */
public class TemplatePatternDemo {

    public static void main(String[] args) {
        Game game = new Cricket();
        game.play();
        System.out.println();
        game = new Football();
        game.play();
    }
}
